%========================================================
%   Spike sorting Experiment 3 - session 1
%   
%   Pereira et al., 2021, 
%   Evidence accumulation determines perceptual 
%       consciousness and monitoring
%      
%   Michael Pereira <michael.pereira@univ-grenoble-alpes.ch>
%   7 Dec 2020
%========================================================

% This file contains a structure array (one item per channel)
% containing "thr": the osort threshold in standard deviations
% (must be precomputed in osort, see README), a cell array of 
% cluster IDs and a corresponding array indicating whether we 
% consider the cluster as single- or multi-unit
%
% for example, if for channel 1 with a threshold of 5, we 
% considered clusters 802 and 803 as one single unit, and 
% cluster 1023 as a multiunit, the sort structure would be the 
% following: 
%   sort(1).thr = 5;
%   sort(1).clust = {[802,803],1023};
%   sort(1).single = [1, 0];

function sort = sort_e3s1()
sort(1).thr = 5;
sort(1).clust = {[1663,1680]};
sort(1).single = [1];
sort(2).thr = NaN;
sort(2).clust = {};
sort(2).single = [];
sort(3).thr = 5;
sort(3).clust = {810,[817,910]};
sort(3).single = [1,1];
sort(4).thr = 5;
sort(4).clust = {[5251,5232,5198,5083,5252,5227,5241]};
sort(4).single = [1];
sort(5).thr = NaN;
sort(5).clust = {};
sort(5).single = [];
sort(6).thr = 5;
sort(6).clust = {[1174,1439,1476]};
sort(6).single = [1];
sort(7).thr = NaN;
sort(7).clust = {};
sort(7).single = [];
sort(8).thr = 5;
sort(8).clust = {881};
sort(8).single = [1];
sort(9).thr = 5;
sort(9).clust = {676,[574,618]};
sort(9).single = [1,1];
sort(10).thr = 5;
sort(10).clust = {349};
sort(10).single = [1];
%
sort(11).thr = 5;
sort(11).clust = {2297,2316};
sort(11).single = [1,1];
sort(12).thr = NaN;
sort(12).clust = {};
sort(12).single = [];
sort(13).thr = 5;
sort(13).clust = {[1701,1860],1788,1813};
sort(13).single = [0,1,1];
sort(14).thr = 5;
sort(14).clust = {746,912};
sort(14).single = [1,0];
sort(15).thr = 5;
sort(15).clust = {1024,[1456,1489],1674};
sort(15).single = [1,1,1];
sort(16).thr = 5;
sort(16).clust = {524};
sort(16).single = [1];
sort(17).thr = 5;
sort(17).clust = {545,[458,469]};
sort(17).single = [0,0];
sort(18).thr = 5;
sort(18).clust = {[2492,1696],2485,2229};
sort(18).single = [0,1,0];
sort(19).thr = 5;
sort(19).clust = {[2760,2845],2608,[2833,2842]};
sort(19).single = [1,0,1];
sort(20).thr = NaN;
sort(20).clust = {};
sort(20).single = [];
%
sort(21).thr = 5;
sort(21).clust = {671,690};
sort(21).single = [1,0];
sort(22).thr = 5;
sort(22).clust = {468};
sort(22).single = [1];
sort(23).thr = 5;
sort(23).clust = {520};
sort(23).single = [0];
sort(24).thr = 5;
sort(24).clust = {1591,1626};
sort(24).single = [0,0];
sort(25).thr = NaN;
sort(25).clust = {};
sort(25).single = [];
sort(26).thr = 5;
sort(26).clust = {[3237,3235,3209],[2550,2195,2814,2843]}; % [2195,3235,2843] unstable
sort(26).single = [1,1];
sort(27).thr = 5;
sort(27).clust = {566};
sort(27).single = [0];
sort(28).thr = 5;
sort(28).clust = {2452,[2787,2798,2836]};
sort(28).single = [0,1];
sort(29).thr = 5;
sort(29).clust = {1652,1660};
sort(29).single = [1,0];
sort(30).thr = 5;
sort(30).clust = {972,980};
sort(30).single = [1,0];
%
sort(31).thr = 5;
sort(31).clust = {1169};
sort(31).single = [1];
sort(32).thr = 5;
sort(32).clust = {711};
sort(32).single = [0];
sort(33).thr = NaN;
sort(33).clust = {};
sort(33).single = [];
sort(34).thr = 5;
sort(34).clust = {621,622};
sort(34).single = [1 1];
sort(35).thr = 5;
sort(35).clust = {[1325,1450]};
sort(35).single = [1];
sort(36).thr = 5;
sort(36).clust = {1084,[1092,1163]};
sort(36).single = [1,0];
sort(37).thr = NaN;
sort(37).clust = {};
sort(37).single = [];
sort(38).thr = 5;
sort(38).clust = {[2299,3616,3887],3865,[3892,3091],[3924,3932]};
sort(38).single = [1 1 1 1];
sort(39).thr = NaN;
sort(39).clust = {};
sort(39).single = [];
sort(40).thr = 5;
sort(40).clust = {[5400,5520],5469,5525};
sort(40).single = [1 1 1];
%
sort(41).thr = NaN;
sort(41).clust = {};
sort(41).single = [];
sort(42).thr = 5;
sort(42).clust = {1899,[1953,1956,2282]};
sort(42).single = [0,1];
sort(43).thr = 5;
sort(43).clust = {[71,155]};
sort(43).single = [1];
sort(44).thr = 5;
sort(44).clust = {[633,645,681,705,717]};
sort(44).single = [1];
sort(45).thr = 5;
sort(45).clust = {[1134,1253,1267,1309]};
sort(45).single = [1];
sort(46).thr = 5;
sort(46).clust = {2473,[2580,2596]};
sort(46).single = [1,1];
sort(47).thr = 5;
sort(47).clust = {3077,[2749,3141,3108,3157]};
sort(47).single = [1,0];
sort(48).thr = 5;
sort(48).clust = {[5382,5431,5418,5465]};
sort(48).single = [0];
sort(49).thr = 5;
sort(49).clust = {[935,966,1054]};
sort(49).single = [0];
sort(50).thr = 5;
sort(50).clust = {[1486,1534],1550};
sort(50).single = [1,1];
%
sort(51).thr = 5;
sort(51).clust = {[2247,2283,2288,2308]};
sort(51).single = [1];
sort(52).thr = 5;
sort(52).clust = {[1809,1904],[1842,1913,1919]};
sort(52).single = [1 1];
sort(53).thr = 5;
sort(53).clust = {1429,[840,2150,2181,2231]};
sort(53).single = [0,1];
sort(54).thr = 5;
sort(54).clust = {[112,76]};
sort(54).single = [1];
sort(55).thr = NaN;
sort(55).clust = {};
sort(55).single = [];
sort(56).thr = 5;
sort(56).clust = {235};
sort(56).single = [1];
sort(57).thr = 5;
sort(57).clust = {1053};
sort(57).single = [1];
sort(58).thr = NaN;
sort(58).clust = {};
sort(58).single = [];
sort(59).thr = 5;
sort(59).clust = {614};
sort(59).single = [1];
sort(60).thr = NaN;
sort(60).clust = {};
sort(60).single = [];
%
sort(61).thr = 5;
sort(61).clust = {[1372,2268],[2295,2252],2280};
sort(61).single = [1,1,1];
sort(62).thr = 5;
sort(62).clust = {252};
sort(62).single = [1];
sort(63).thr = 5;
sort(63).clust = {548};
sort(63).single = [0];
sort(64).thr = 5;
sort(64).clust = {3175,[3363,3413],3398};
sort(64).single = [1,1,1];
sort(65).thr = 5;
sort(65).clust = {283};
sort(65).single = [1];
sort(66).thr = 5;
sort(66).clust = {[3530,3527],[3504,3489]};
sort(66).single = [1 1 1];
sort(67).thr = 5;
sort(67).clust = {957};
sort(67).single = [1];
sort(68).thr = NaN;
sort(68).clust = {};
sort(68).single = [];
sort(69).thr = NaN;
sort(69).clust = {};
sort(69).single = [];
sort(70).thr = 5;
sort(70).clust = {[232,239,249,341,390,680,771,776,779,801,823,827,830,832,836,837,838,851,860,862]};
sort(70).single = [1];
%
sort(71).thr = 5;
sort(71).clust = {711,675};
sort(71).single = [1 1];
sort(72).thr = 5;
sort(72).clust = {[2117,2223]};
sort(72).single = [1];
sort(73).thr = 5;
sort(73).clust = {3945,[3956,4006],[3977,4118]};
sort(73).single = [1 1 1];
sort(74).thr = 5;
sort(74).clust = {[2829],4041,[4090,4115],[4145,4115, 4057]}; % 3790
sort(74).single = [1 1 1 1];
sort(75).thr = NaN;
sort(75).clust = {};
sort(75).single = [];
sort(76).thr = 5;
sort(76).clust = {1533,1564};
sort(76).single = [1 1];
sort(77).thr = 5;
sort(77).clust = {2070,2090};
sort(77).single = [1 1];
sort(78).thr = 5;
sort(78).clust = {1687,1758};
sort(78).single = [1,1];
sort(79).thr = NaN;
sort(79).clust = {};
sort(79).single = [];
sort(80).thr = 5;
sort(80).clust = {326};
sort(80).single = [1];
%
sort(81).thr = 5;
sort(81).clust = {[2258,2263]};
sort(81).single = [0];
sort(82).thr = NaN;
sort(82).clust = {};
sort(82).single = [];
sort(83).thr = NaN;
sort(83).clust = {};
sort(83).single = [];
sort(84).thr = 5;
sort(84).clust = {948};
sort(84).single = [1];
sort(85).thr = 5;
sort(85).clust = {236};
sort(85).single = [1];
sort(86).thr = 5;
sort(86).clust = {2074,2092};
sort(86).single = [0,1];
sort(87).thr = 5;
sort(87).clust = {};
sort(87).single = [];
sort(88).thr = 5;
sort(88).clust = {406};
sort(88).single = [0];
sort(89).thr = 5;
sort(89).clust = {[2718,2737]};
sort(89).single = [1];
sort(90).thr = 5;
sort(90).clust = {3818};
sort(90).single = [1];
%
sort(91).thr = NaN;
sort(91).clust = {};
sort(91).single = [];
sort(92).thr = NaN;
sort(92).clust = {};
sort(92).single = [];
sort(93).thr = 5;
sort(93).clust = {860};
sort(93).single = [1];
sort(94).thr = 5;
sort(94).clust = {255};
sort(94).single = [1];
sort(95).thr = 5;
sort(95).clust = {1986,[2320,2363]};
sort(95).single = [1,1];
sort(96).thr = 5;
sort(96).clust = {[1905,1889,1490]};
sort(96).single = [1];
